<template>
  <header class="site-header">
    <b-navbar type="dark" variant="dark" toggleable="lg">
      <b-container>
        <b-nav-toggle target="top-nav-collapse"><i class="ya ya-bar"></i></b-nav-toggle>

        <b-navbar-brand>ATR LAN</b-navbar-brand>
        <b-collapse id="top-nav-collapse" is-nav>
          <b-navbar-nav>
            <template v-for="item in nav_items">
              <b-nav-dropdown v-if="item.children" :disabled="item.disabled" :text="item.text" :key="item.text">
                <b-dropdown-item v-for="child in item.children" :href="item.href + child.href" :disabled="child.disabled" :key="child.text"><i v-if="child.icon" :class="child.icon"></i> {{child.text}}</b-dropdown-item>
              </b-nav-dropdown>
              <b-nav-item v-if="!item.children" :href="item.href" :disabled="item.disabled" :key="item.text"><i v-if="item.icon" :class="item.icon"></i> {{item.text}}</b-nav-item>
            </template>
          </b-navbar-nav>
          <b-navbar-nav class="ml-auto">
            <user-menu/>
          </b-navbar-nav>
        </b-collapse>
      </b-container>
    </b-navbar>
  </header>
</template>

<script>
  import UserMenu from '@/components/Global/UserMenu'

  export default {
    name      : 'PageHeader',
    components: { UserMenu },
    data () {
      return {
        nav_items: [
          {
            text: 'Home',
            href: '/'
          },
          {
            text    : 'Events',
            href    : '/events',
            disabled: true
          },
          {
            text    : 'Event Manager',
            href    : '/event',
            disabled: false,
            children: [
              {
                text    : 'POS Terminal',
                href    : '/pos',
                icon    : 'fal fa-cash-register',
                disabled: false
              },
              {
                text: 'Raffle Management',
                href: '/raffle',
                icon: 'fal fa-ticket'
              },
              {
                text: 'Registration',
                href: '/registration',
                icon: 'fal fa-address-card'
              },
              {
                text: 'Tournaments',
                href: '/tournaments',
                icon: 'fal fa-users'
              }
            ]
          }
        ]
      }
    }
  }
</script>

<style scoped>

</style>
